store-products-get-one¶
Source¶
Repository:
jef-systems/jef-store-backendSource Run ID:
25333167796Source SHA:
69cb846339fa14db005aec45414a4a94ec2a821eModule:
storeDocumentation Scope:
getLambda:
jef-store-get-35
Endpoint¶
API Name:
jef-storeAction Name:
getMethod:
GETScope Label:
GETResource Path:
/store-products-get-oneComplete Endpoint:
https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-products-get-oneLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-store-get-35curl payload mode:
query_string
API Gateway Description¶
Function: jef-store-get-35
API Name: jef-store
Action: get
Method: GET
Resource Path: /store-products-get-one
Table:
- table: jef-store-products
- operation: get-one
Payload Schema:
- pk: product_number
Payload Example:
- pk: PRO-1001-0001
Response Schema:
- exists: boolean
- message: string
- item: {"entity_number":"string","product_number":"string","sku":"string","product_name":"string","category":"string","brand":"string","description":"string","base_price":"number","stock_quantity":"number","unit_label":"string","rating":"number","is_featured":"boolean","tag_1":"string","tag_2":"string","tag_3":"string","display_order":"number","is_active":"boolean","is_deleted":"boolean","deleted_at":"string","created_at":"string","updated_at":"string","idempotency_key":"string","schema_version":"number","version":"number"}
Request Payload¶
{
"pk": "product_number"
}
Response¶
{
"exists": "boolean",
"message": "string",
"item": "{\"entity_number\":\"string\",\"product_number\":\"string\",\"sku\":\"string\",\"product_name\":\"string\",\"category\":\"string\",\"brand\":\"string\",\"description\":\"string\",\"base_price\":\"number\",\"stock_quantity\":\"number\",\"unit_label\":\"string\",\"rating\":\"number\",\"is_featured\":\"boolean\",\"tag_1\":\"string\",\"tag_2\":\"string\",\"tag_3\":\"string\",\"display_order\":\"number\",\"is_active\":\"boolean\",\"is_deleted\":\"boolean\",\"deleted_at\":\"string\",\"created_at\":\"string\",\"updated_at\":\"string\",\"idempotency_key\":\"string\",\"schema_version\":\"number\",\"version\":\"number\"}"
}
CMD curl¶
curl "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-products-get-one?pk=PRO-1001-0001"
PowerShell curl¶
curl.exe "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-products-get-one?pk=PRO-1001-0001"